Download it now!
Bug 61557 - FILEOPEN: File open dialog: file type filter
Summary: FILEOPEN: File open dialog: file type filter
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.5.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-27 15:16 UTC by Mihai Pop
Modified: 2014-06-25 17:20 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mihai Pop 2013-02-27 15:16:03 UTC
Problem description: 

When opening a file, the open dialog is particularly unhelpful when trying to override the decisions of the automatic file type detection. 

Steps to reproduce the problem:

For example, I often load spreadsheets in TAB or comma delimited format provided as either a .txt or a .tsv file. If I select 'Spreadsheet files' in the filter these files open in writer as text files, even though from the context it should be obvious that they should be handled as spreadsheets.  To achieve the desired functionality I have to scroll through a long list of file types until I find the (*.csv) option.  

Expected behavior:

I suggest two options here:
1. The file type detection should operate in a context specific fashion, e.g. if specifying 'Spreadsheet files' in the filter, the code should automatically restrict the file types to spreadsheet files.

2. There should be a way to customize the list of file types available in the open dialog.  I only use 2 or 3 file types on a regular basis (and I doubt other users use more) and it would be nice if only these were available as options in the Open dialog with the other ones relegated to Import.  Alternatively, the commonly used options should be moved up in the list.

This kind of functionality issue is common in other parts of libreoffice, e.g., in the Paste Special dialog - even here it would be useful to restrict the types of operations that are made available depending on user preferences.
              
Operating System: All
Version: 3.6.5.2 release
Comment 1 Alex Thurgood 2013-09-13 15:58:02 UTC
*** Bug 69290 has been marked as a duplicate of this bug. ***
Comment 2 Leon French 2013-09-13 16:17:47 UTC
I noticed a similar/related bug. 

I upgraded my version to 4.1.1.2 and tab separated files (.tsv) open in writer not calc when opened from Finder in Mac OSX. I remember my previous version of LibreOffice opened .tsv files in Calc, although I can't recall the version.

CSV files work correctly (open in Calc), I request the same procedure for csv files be applied to .tsv files.
Comment 3 bfoman (inactive) 2014-03-08 22:51:07 UTC
Seems there was a change in the code in this area, so please retest with 4.2.2.1 prerelease version of LibreOffice available at http://dev-builds.libreoffice.org/pre-releases/.
Comment 4 afonit 2014-06-24 21:04:19 UTC
Mihai Pop,
have you re-tested this with a newer version as was suggested?
Comment 5 Mihai Pop 2014-06-25 01:03:47 UTC
I have just tested with LibreOffice Version: 4.2.4.2
Build ID: 63150712c6d317d27ce2db16eb94c2f3d7b699f8 . The functionality is pretty much the same as when I reported the bug - trying to open a .tsv file even when selecting 'Spreadsheet files' from the drop down menu loads the file in Writer rather than Calc.  

As I suggested, the better option would be to allow customization of the open file dialog, or a customizeable association of file extensions to specific actions (a la file associations in browsers or mail readers). 

Right now the list of file types is about as exhaustive and random as possible (Lotus, Word Perfect, Quatro Pro, etc.) while 90% of the use cases will likely involve only a handful of file types.
Comment 6 Maxim Monastirsky 2014-06-25 05:57:59 UTC
(In reply to comment #5)
> I have just tested with LibreOffice Version: 4.2.4.2
> Build ID: 63150712c6d317d27ce2db16eb94c2f3d7b699f8 . The functionality is
> pretty much the same as when I reported the bug - trying to open a .tsv file
> even when selecting 'Spreadsheet files' from the drop down menu loads the
> file in Writer rather than Calc.  
@Mihai Pop: It should happen only if you open from inside Writer. We do support opening .tsv files in Calc by default, when not in Writer (for example from inside Calc, or from the start center).
Comment 7 afonit 2014-06-25 11:03:27 UTC
ok, I did not realize this was talking about the 'start center' for libreoffice.  I always just go directly into calc.

So when I open up the 'start center', then select open and choose a tsv - it opens in calc - the behavior is as one would expect.

libreoffice 4.2.5.2
Fedora 20


@Mihai Pop:  Perhaps you just have a broken file association on the mac?  As you seem to be requesting to make those associations in libreoffice - from what I understand this is and Operating System level task - and not an application level task.

Would you agree then that this is not a bug in libreoffice and this can be closed?  

Unless I have misunderstood, this seems to be the issue, here is a video of how to change file associations on a mac:
https://www.youtube.com/watch?v=ijiK6fCm5hA
Comment 8 Mihai Pop 2014-06-25 17:13:53 UTC
Ok, I get it - tried in Calc and it works as I would expect.  I think that's fine for me.  I still think the extensive menu of options for reading files is unnecessarily long and should be customizeable, but at least Calc behaves as expected.

Mihai
Comment 9 afonit 2014-06-25 17:20:50 UTC
ok, since you stated it works for you now just opening with calc, I am going to close the bug.